#include <stdio.h>
#include "graphic3d.h"

/***************************************************************/
/* Sauvegarde des triangles dans un fichier texte              */
/***************************************************************/
void PrintFichIndSpher( point3d_t *lsmt, int nb_smt, 
		   triangleInd_t *ltri, int nb_tri, int *ltrie_x, double *ltrie_y, char * ref )
{
  FILE    *fp;
  int      i;

  fp = fopen( ref, "w" );
  if ( !fp ) {
    fprintf( stderr, "Error d'ouverture du fichier %s\n", ref );
    exit( 1 );
  }

  fprintf( fp, "%d\n", 0 );
  fprintf( fp, "%d\n", nb_smt );

  for ( i=0; i<nb_smt; i++ ) 
  {
    fprintf( fp, "%lf %lf %lf\n", lsmt[i].x, lsmt[i].y, lsmt[i].z );
  }


  fprintf( fp, "%d\n", nb_tri );

  for ( i=0; i<nb_tri; i++ ) 
  {
    fprintf( fp, "%d %d %d\n", ltri[i][0], ltri[i][1], ltri[i][2] );
  }
  
  fprintf( fp, "%d\n", nb_smt );
  for ( i=0; i<nb_smt; i++ ) 
  {
	fprintf( fp, "%d %lf\n", ltrie_x[i], ltrie_y[i] );
  }
  
  fclose( fp );
}


void PrintFichIndCart( point3d_t *lsmt, int nb_smt, 
		   triangleInd_t *ltri, int nb_tri, int *ltrie_x, int *ltrie_y, char * ref )
{
  FILE    *fp;
  int      i;

  fp = fopen( ref, "w" );
  if ( !fp ) {
    fprintf( stderr, "Error d'ouverture du fichier %s\n", ref );
    exit( 1 );
  }

  fprintf( fp, "%d\n", 0 );
  fprintf( fp, "%d\n", nb_smt );

  for ( i=0; i<nb_smt; i++ ) 
  {
    fprintf( fp, "%lf %lf %lf\n", lsmt[i].x, lsmt[i].y, lsmt[i].z );
  }


  fprintf( fp, "%d\n", nb_tri );

  for ( i=0; i<nb_tri; i++ ) 
  {
    fprintf( fp, "%d %d %d\n", ltri[i][0], ltri[i][1], ltri[i][2] );
  }
  
  fprintf( fp, "%d\n", nb_smt );
  for ( i=0; i<nb_smt; i++ ) 
  {
	fprintf( fp, "%d %d\n", ltrie_x[i], ltrie_y[i] );
  }
  
  fclose( fp );
}